@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";

:host {
  width: 100%;
}


.main-list-model-template {
  display: flex;
  justify-content: space-between;
  background: none;
  &__table-action {
    display: flex;
    justify-content: flex-end;
    margin-top: 16px;
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $primary-button-color;
      margin-left: 16px;
    }
    &__button-search {
      border-radius: 8px;
      display: flex;
      width: 174px;
      justify-content: center;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $bt-primary-search;
      border: none;
      color: $primary-button-color;
      margin-left: 16px;
    }
    &__button-default {
      border: 1px solid #a0a3bd;
      color: #6e7191;
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      &:nth-child(2) {
        margin-left: 16px;
      }
    }
  }

  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }

  &__right {
    position: fixed;
    top: 130px;
    z-index: 1000;
    right: 25px;
    &__button-primary {
      border-radius: 8px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      font-size: 14px;
      min-height: 40px;
      background: $primary-button-color;
      margin-left: 16px;
    }
  }
}

.main-list-model-template-card {
  padding-top: 16px;
  border-radius: 16px;
  &__row {
    background: white;
    padding: 24px 0px 40px 12px;
    border-radius: 8px;
  }
  &__left {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 10px !important;
        min-height: 40px;
      }
    }
    &__label {
      color: $bg-gray-body;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
    }
  }
  &__center {
    padding-left: 15px;
    &__select {
      width: 100%;
      ::ng-deep {
        .ant-select-selector {
          border-radius: 10px !important;
          min-height: 40px;
          display: flex;
          align-items: center;
        }
      }
    }
    &__label {
      color: $bg-gray-body;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
    }
  }
  &__right {
    display: flex;
    align-items: flex-end;
    padding-left: 15px;
    &__date {
      width: 100%;
      border-radius: 10px !important;
      min-height: 40px;
    }
    &__label {
      color: $bg-gray-body;
      font-style: normal;
      font-weight: 600;
      font-size: 14px;
      line-height: 20px;
    }
  }
}

.init-model-template-table {
  min-width: 100%;
  &__label {
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
  }
}

::ng-deep {
  .ant-table-footer,
  .ant-table-thead > tr > th {
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
    background: rgba(232, 234, 246, 1);
  }
}

.wrap-text {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 200px !important;
}
.status-style {
  text-align: center;
  justify-content: center;
  display: flex;
}
